代表相簿。
GET /{album-id}
必要條件取決於包含相簿的節點類型。
| 必要條件 | 用戶節點 | 專頁節點 | 群組節點 |
|---|---|---|---|
任何 | 任何 | ||
無 | 如要取得你無法執行任務的專頁之公開專頁內容,你需要 | 無 | |
未發佈的專頁:
已發佈的專頁: | 無 | ||
不適用 | 不適用 | 管理員 |
GET /v26.0/{album-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{album-id}',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{album-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{album-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{album-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| 名稱 | 說明 | 類型 |
|---|---|---|
| 相簿編號。 |
|
| 檢視者是否可以向此相簿上載相片。 |
|
| 相簿中相片的大致數量。此數字不一定是精確的計數 |
|
| 相簿封面相片的編號。 | |
| 最初建立相簿的時間。 |
|
| 相簿的說明。 |
|
| 與此相簿相關的活動。 | |
| 目前的用戶(若該相簿是由目前的用戶建立)。 | |
| 此 Facebook 相簿的連結。 |
|
| 相簿的文字位置。 |
|
| 相簿的標題。 |
|
| 與此相簿相關的地點。 | |
| 相簿的私隱設定。 |
|
| 相簿的類型。 |
|
| 最後一次更新相簿的時間。 |
|
你無法在此端點上執行此操作。
你無法在此端點上執行此操作。
你無法在此端點上執行此操作。